Package org.eclipse.help.search

# Interface ISearchEngineResultCollector

public interface ISearchEngineResultCollector
A collector for the search hits (asynchronously) returned by the help search participants.

This interface is intended to be implemented by clients and passed to the search engine instance.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ISearchEngineResult searchResult)`
Accepts a new search result object.
`void`
`accept(ISearchEngineResult[] searchResults)`
Accepts an array of new search results.
`void`
`error(IStatus status)`
Notifies the collector that an error has occured in the search engine.

## Method Details

### accept

void accept(ISearchEngineResult searchResult)
Accepts a new search result object.

Parameters:
  `searchResult` - the new search result

### accept

void accept(ISearchEngineResult[] searchResults)
Accepts an array of new search results.

Parameters:
  `searchResults` - an array of search result objects

### error

void error(IStatus status)
Notifies the collector that an error has occured in the search engine. The kinds of errors that are reported this way are not abnormal problems or internal errors. Unexpected problems should be left to the job manager to handle by throwing a `CoreException`. Use this method to report errors that are expected to occur from time to time (e.g., server down, server timeout, incorrect URL etc.).

Parameters:
  `status` - the reported error status